writeCdf {affxparser} | R Documentation

## Creates a binary CDF file

### Description

This function creates a binary CDF file given a valid CDF structure containing all necessary elements.

Warning: The API for this function is likely to be changed in future versions.

### Usage

      writeCdf(fname, cdfheader, cdf, cdfqc, overwrite=FALSE, verbose=0)

### Arguments

`fname` | name of the CDF file.
`cdfheader` | A list with a structure equal to the output of `readCdfHeader`.
`cdf` | A list with a structure equal to the output of `readCdf`.
`cdfqc` | A list with a structure equal to the output of `readCdfQc`.
`overwrite` | Overwrite existing file?
`verbose` | how verbose should the output be. 0 means no output, with higher numbers being more verbose.

### Details

This function has been validated mainly by reading in various ASCII or binary CDF files which are written back as new CDF files, and compared element by element with the original files.

### Value

This function is used for its byproduct: creating a CDF file.

### Author(s)

Kasper Daniel Hansen, khansen@stat.berkeley.edu

### See Also

To read the CDF "regular" and QC units with all necessary fields and values for writing a CDF file, see `readCdf`, `readCdfQc`() and `readCdfHeader`. To compare two CDF files, see `compareCdfs`.

[Package affxparser version 1.6.2 Index]